import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetReservationUtilizationRequest,
  GetReservationUtilizationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetReservationUtilizationCommandInput
  extends GetReservationUtilizationRequest {}
export interface GetReservationUtilizationCommandOutput
  extends GetReservationUtilizationResponse,
    __MetadataBearer {}
export declare class GetReservationUtilizationCommand extends $Command<
  GetReservationUtilizationCommandInput,
  GetReservationUtilizationCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetReservationUtilizationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetReservationUtilizationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetReservationUtilizationCommandInput,
    GetReservationUtilizationCommandOutput
  >;
  private serialize;
  private deserialize;
}
